# IRremoteESP8266: src/ir_Hitachi.cpp File Reference

ir_Hitachi.cpp File Reference

Support for Hitachi A/C protocols. More...

## Variables

const uint16_t | kHitachiAcHdrMark = 3300
const uint16_t | kHitachiAcHdrSpace = 1700
const uint16_t | kHitachiAc1HdrMark = 3400
const uint16_t | kHitachiAc1HdrSpace = 3400
const uint16_t | kHitachiAcBitMark = 400
const uint16_t | kHitachiAcOneSpace = 1250
const uint16_t | kHitachiAcZeroSpace = 500
const uint32_t | kHitachiAcMinGap = kDefaultMessageGap
const uint16_t | kHitachiAc424LdrMark = 29784
const uint16_t | kHitachiAc424LdrSpace = 49290
const uint16_t | kHitachiAc424HdrMark = 3416
const uint16_t | kHitachiAc424HdrSpace = 1604
const uint16_t | kHitachiAc424BitMark = 463
const uint16_t | kHitachiAc424OneSpace = 1208
const uint16_t | kHitachiAc424ZeroSpace = 372
const uint16_t | kHitachiAc3HdrMark = 3400
const uint16_t | kHitachiAc3HdrSpace = 1660
const uint16_t | kHitachiAc3BitMark = 460
const uint16_t | kHitachiAc3OneSpace = 1250
const uint16_t | kHitachiAc3ZeroSpace = 410

## Detailed Description

Support for Hitachi A/C protocols.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/417
  https://github.com/crankyoldgit/IRremoteESP8266/issues/453
  https://github.com/crankyoldgit/IRremoteESP8266/issues/973
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1056
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1060
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1134

## Variable Documentation

## kHitachiAc1HdrMark

const uint16_t kHitachiAc1HdrMark = 3400

## kHitachiAc1HdrSpace

const uint16_t kHitachiAc1HdrSpace = 3400

## kHitachiAc3BitMark

const uint16_t kHitachiAc3BitMark = 460

## kHitachiAc3HdrMark

const uint16_t kHitachiAc3HdrMark = 3400

## kHitachiAc3HdrSpace

const uint16_t kHitachiAc3HdrSpace = 1660

## kHitachiAc3OneSpace

const uint16_t kHitachiAc3OneSpace = 1250

## kHitachiAc3ZeroSpace

const uint16_t kHitachiAc3ZeroSpace = 410

## kHitachiAc424BitMark

const uint16_t kHitachiAc424BitMark = 463

## kHitachiAc424HdrMark

const uint16_t kHitachiAc424HdrMark = 3416

## kHitachiAc424HdrSpace

const uint16_t kHitachiAc424HdrSpace = 1604

## kHitachiAc424LdrMark

const uint16_t kHitachiAc424LdrMark = 29784

## kHitachiAc424LdrSpace

const uint16_t kHitachiAc424LdrSpace = 49290

## kHitachiAc424OneSpace

const uint16_t kHitachiAc424OneSpace = 1208

## kHitachiAc424ZeroSpace

const uint16_t kHitachiAc424ZeroSpace = 372

## kHitachiAcBitMark

const uint16_t kHitachiAcBitMark = 400

## kHitachiAcHdrMark

const uint16_t kHitachiAcHdrMark = 3300

## kHitachiAcHdrSpace

const uint16_t kHitachiAcHdrSpace = 1700

## kHitachiAcMinGap

const uint32_t kHitachiAcMinGap = kDefaultMessageGap

## kHitachiAcOneSpace

const uint16_t kHitachiAcOneSpace = 1250

## kHitachiAcZeroSpace

const uint16_t kHitachiAcZeroSpace = 500